---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfldw003.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50620, symBinAddr: 0x6340, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52560, symBinAddr: 0x8280, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52950, symBinAddr: 0x8670, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x538F0, symBinAddr: 0x9610, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53900, symBinAddr: 0x9620, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50120, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50124, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50128, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50280, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50338, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5033C, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50340, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50344, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50348, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50350, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50368, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50370, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50378, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50380, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50388, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x503CA, symBinAddr: 0x61AA, symSize: 0x0 }
  - { offsetInCU: 0x90F4, offset: 0x90F4, size: 0x8, addend: 0x0, symName: __ZL10actual_fid, symObjAddr: 0x503D0, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x910D, offset: 0x910D, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x503D8, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x503E0, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x503F0, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x9158, offset: 0x9158, size: 0x8, addend: 0x0, symName: __ZL4fids, symObjAddr: 0x50530, symBinAddr: 0x6310, symSize: 0x0 }
  - { offsetInCU: 0x917D, offset: 0x917D, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50550, symBinAddr: 0x6330, symSize: 0x0 }
  - { offsetInCU: 0x91D6, offset: 0x91D6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x15A0, symSize: 0x80 }
  - { offsetInCU: 0x926B, offset: 0x926B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x14F0, symSize: 0xB0 }
  - { offsetInCU: 0x92C6, offset: 0x92C6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x13F0, symSize: 0x100 }
  - { offsetInCU: 0x9559, offset: 0x9559, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1620, symSize: 0x220 }
  - { offsetInCU: 0x973E, offset: 0x973E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1840, symSize: 0xA0 }
  - { offsetInCU: 0x97F1, offset: 0x97F1, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x18E0, symSize: 0x110 }
  - { offsetInCU: 0x98E7, offset: 0x98E7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x19F0, symSize: 0x150 }
  - { offsetInCU: 0x9A18, offset: 0x9A18, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1B40, symSize: 0x30 }
  - { offsetInCU: 0x9AD9, offset: 0x9AD9, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1B70, symSize: 0x150 }
  - { offsetInCU: 0x9CD1, offset: 0x9CD1, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1CC0, symSize: 0x160 }
  - { offsetInCU: 0x9E5D, offset: 0x9E5D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1E20, symSize: 0x1B0 }
  - { offsetInCU: 0xA078, offset: 0xA078, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1FD0, symSize: 0xA0 }
  - { offsetInCU: 0xA147, offset: 0xA147, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2070, symSize: 0x20 }
  - { offsetInCU: 0xA17E, offset: 0xA17E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2090, symSize: 0x20 }
  - { offsetInCU: 0xA1B5, offset: 0xA1B5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x20B0, symSize: 0x20 }
  - { offsetInCU: 0xA324, offset: 0xA324, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x20D0, symSize: 0x1A0 }
  - { offsetInCU: 0xA64A, offset: 0xA64A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2270, symSize: 0x80 }
  - { offsetInCU: 0xA713, offset: 0xA713, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x22F0, symSize: 0x6A0 }
  - { offsetInCU: 0xB2A8, offset: 0xB2A8, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA180, symBinAddr: 0x3600, symSize: 0xB0 }
  - { offsetInCU: 0xB31F, offset: 0xB31F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2990, symSize: 0x70 }
  - { offsetInCU: 0xB3DB, offset: 0xB3DB, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2A00, symSize: 0xA0 }
  - { offsetInCU: 0xB506, offset: 0xB506, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2AA0, symSize: 0x40 }
  - { offsetInCU: 0xB5FC, offset: 0xB5FC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2AE0, symSize: 0x2B0 }
  - { offsetInCU: 0xB9A2, offset: 0xB9A2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2D90, symSize: 0xC0 }
  - { offsetInCU: 0xBAE8, offset: 0xBAE8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2E50, symSize: 0x10 }
  - { offsetInCU: 0xBBAA, offset: 0xBBAA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2E60, symSize: 0x220 }
  - { offsetInCU: 0xBEA7, offset: 0xBEA7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3080, symSize: 0x10 }
  - { offsetInCU: 0xBF04, offset: 0xBF04, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3090, symSize: 0x150 }
  - { offsetInCU: 0xC0D1, offset: 0xC0D1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D60, symBinAddr: 0x31E0, symSize: 0x10 }
  - { offsetInCU: 0xC12E, offset: 0xC12E, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0x9D70, symBinAddr: 0x31F0, symSize: 0x40 }
  - { offsetInCU: 0xC23B, offset: 0xC23B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw003_getReady, symObjAddr: 0x9DB0, symBinAddr: 0x3230, symSize: 0x350 }
  - { offsetInCU: 0xC4C2, offset: 0xC4C2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw003_check, symObjAddr: 0xA100, symBinAddr: 0x3580, symSize: 0x70 }
  - { offsetInCU: 0xC505, offset: 0xC505, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw003_getRes, symObjAddr: 0xA170, symBinAddr: 0x35F0, symSize: 0x10 }
  - { offsetInCU: 0xC53A, offset: 0xC53A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA230, symBinAddr: 0x36B0, symSize: 0x36A }
...
